Getting Started

Welcome

© 2004 freshwebmaster.com. All rights reserved.

Begin Here >>


Introduction

Introduction Previous Top Next

First we thank you for using this software.

FreshFTP is a FTP client software.

With this software, you can upload or download your internet web content into server.

Features:

  • Multithreading for simultaneous transfer.
  • File and Directory Upload.
  • Ability to resume Uploads (if the server support it).


Getting Started

Getting Started Previous Top Next

This is how we begin to use the Program.

1. Connect to an FTP server.
To connect to an FTP server, click Connect to button then the Connect Dialog will appear. Enter the host name or IP address into the host field. Enter the port of the server into the port field if it is not the default port. If a username / password is required, enter it in the corresponding fields. Enter initial starting directory on the server in the remote directory field or leave it to go to the root directory. Click on Ok or press Enter to connect to the server.

2. Navigating on the server.
After a successful connection attempt, a list of files and folders appears on the right side of the main window. You can change the current folder by double-clicking a folder. You will notice a folder called ".." displayed in all directories. This folder allows you to go up to the parent directory of the current folder.

3. Navigating on your machine.
Navigating on your machine works almost like navigating on the server.

4. Transfering files.
To transfer folders and/or multiple files, select them and right-click the selection. Then you can click on Upload in the popup menu, or you can also drag the files from local listview and drop them on the remote listview. To add files to the queue so that they will be transferred later, select them and click Add to Queue from the popup menu. Click on the Start Queue button on the toolbar to start the transfer.


Getting Started

System Requirements Previous Top Next

Operating System
Windows 95, Windows 95 OSR2, Windows 98, Windows 98 Second Edition, Windows Me, Windows NT 4.0, Windows 2000, Windows XP.

CPU
Any x86 if only Windows was started.

RAM
Any size if only Windows was started.


Menus and Toolbars

Menus and Toolbars Previous Top Next

1. Menus

File
Connect to... - connect to a server.
Disconnect - disconnect from server.
Exit - quit the program.

Local
Upload files - upload selected files and folders.
Add to Queue - add the selected items to transfer queue.
Create Directory - create new directory in the current folder.

Remote
Rename - rename selected file or directory.
Create Directory - create new directory.
Refresh - refresh remote file list.

Queue
Process Queue - start processing the queue
Pause - stop the transfer.
Resume - start transfer from last position.
Abort - stop transfer and remove from list.
Clear - remove all item from list.

View
ToolBars - show or hide toolbar.
Statusbar - show or hide status bar.
Text Labels - show or hide text of toolbar's button.
Message Log - show or hide the Message Log.
Transfer Queue - show or hide then Transfer Queue.

Tools
Transfer Type - selects the current transfer type.
File Overwrite Setting - in this menu you can set the default behaviour for file transfers where the target file already exists.
Options... - call the FreshFTP Options dialog box.

Help
Contents - show the list of help.
Registers - get a full-version registration code.
About - show out the splash screen.

2. Toobars

: Connect to, connect to a server.

: Disconnect, disconnect from a server.

: Start Queue, start process the queue.

: Refresh, refresh remote file list view.

: Options, open Option dialog box.

* The Message Log
All commands sent to the FTP server and their responses, as well as status messages and error messages are logged into the Message Log.

Before each entry the type of the message is represent with symbol and listed with different colors to indicate the type. There are four types of messages:
~ (Status) : These are normal status messages containing useful information about the current operation. Examples for status messages are "Connecting to ..." or "Directory listing received."
! (Error) : Error messages are displayed in red. They always appear when an operation fails due to an error.
> (Command) : These are the commands sent to the server. They request the server to initiate a data transfer, for example.
< (Response): These are the responses from the FTP servers.

* The File and Directory View

1. The local site
The file and folder view of the local site is located on the left side of the main window. With it you can navigate on your local machine and initiate uploads.

The file and folder list
Each line represents a file or folder. The file and folder icons help you to identify the files and folders quickly. The labels above each column describe their meaning. You can sort the list by clicking on one of the column labels and you can toggle the sort direction by clicking the heading again.

Uploading files
There are two ways to upload a file: You use the context menu or you can drag and drop the file into the remote file list. You can operate on a folder in the same way. You may also select multiple files and folders for transfer in one operation. To add items to the queue for a later transfer, you may use the context menu.

The context menu
Right-click the file and folder list to display the context menu.
Upload - Uploads the selected files and folders. The upload starts immediately.
Add to Queue - Adds all selected items to the transfer queue. Use the "Start Queue" button on the toolbar to start the transfer.
Create Directory - Creates a new directory in the current folder.
Sort Order - Sort the list by Name, Size or Date.

2. The remote site
The file and folder view of the remote site is located on the right side of the main window. With it you can navigate on an FTP server.

The file and folder list
The remote file and folder list is very similar to the local file and folder list.

The context menu
Right-click the file and folder list to display the context menu.
Rename - Renames the selected file or directory.
Create Directory - Creates a new directory in the current folder.
Sort Order - Sort the list by Name, Size or Date.

* The Transfer Queue
Every time you want to transfer a file with FreshFTP, the transfer will be put into the Transfer Queue.

The column headers describe the meaning of each column.
Local Filename - is the local file that will be uploaded.
Size - indicates the total size of the transfer.
Progress - indicate the precentage of the current operation.
Remote Filename - indicates the remote file in which an uploaded file will be saved.
Host - is the address of the server involved in the transfer.
Status - displays some information about the transfers.

The context menu
Right-click the queue to open the context menu.
Process Queue - Starts processing the queue.
Remove from Queue - Removes an item from the queue.
Clear Queue - Removes all item from the queue.
Pause - Stop current process.
Resume - Continue current process.
Abort - Stop and remove item from the queue.


Getting Started

Configuration Previous Top Next

* Connections Tab
Default Connection Settings
Connection time-out - Specify waiting time to get a response from the server. Adjust this option to a bigger number if the connection needs a longer time.
Number of attempts - Specify how many times the FreshFTP will try to make connections.
Delay between attempt - Waiting time between two retry.
Max. number of thread - Define how many target files can be transfered simultaneously. If your targets more than maximum value then FreshFTP will transfer the target as many as the maximum setting and put the rest of the targets into queue.

* File Types Tab
Default Transfer Type
Auto detect - FreshFTP will detects and chooses the transfer type based on the file extension.
ASCII - all files will be transferred in ASCII mode.
Binary - all files will be transferred in binary mode.
ASCII File Types
When you've chosen Auto detect, FreshFTP chooses ASCII mode for all file types which are in the list.

(*) Warning: If the wrong file types are in the list or if you've selected a transfer type other than Auto Detect, file transfers may result in corrupt files.

* Transfer Tab
FTP Option - Specify FTP extra LIST command parameter.
File Option - Specify the default behaviour for file transfers where the target file already exists.


Getting Started

Distribution Previous Top Next

You may reproduce and distribute an unlimited number of copies of FreshFTP; provided that each copy shall be a true and complete copy, including all copyright and trademark notices, and shall be accompanied by a complete documentations.

FreshFTP may not be sold or be included in a product or package which intends to receive benefits through the inclusion of this product. FreshFTP may be included in any free or non-profit packages or products.

This FreshFTP software is the property of FRESHWEBMASTER CORPORATION. Any reproduction in whole or in part is strictly prohibited.


Getting Started

Disclaimer Previous Top Next

FreshFTP IS PROVIDED AS IS. FRESHWEBMASTER CORP. will in no way be responsible, in financial or any other terms, for damages (either consequential or incidental) resulting from the use or misuse of FreshFTP or from following directions in this document. No warrantee as to fitness to a particular purpose is given or implied.

Because of the wide variety of hardware and software combinations available today, it is up to the user to ensure that FreshFTP functions well in his or her environment. The user must assume the entire risk of using


Getting Started

Licensing Previous Top Next

FreshFTP is FREE for personal/private use only. Free registration is required if you want to use it longer than 11 days. Registration number for this version can be obtained for FREE, simply visit http://www.freshwebmaster.com.


Contact Us

Contact Us Previous Top

Send your comments, suggestions and bug reports for future development of FreshFTP to http://www.freshwebmaster.com/contact.html


Contact Us

Contact Us Previous Top

Send your comments, suggestions and bug reports for future development of FreshFTP to http://www.freshdevices.com/contact.html


Welcome

Welcome Top Next

Begin Here >>


Menus and Toolbars

Menus and Toolbars Previous Top Next

1. Menus

File
Connect to... - connect to a server.
Disconnect - disconnect from server.
Exit - quit the program.

Local
Upload files - upload selected files and folders.
Add to Queue - add the selected items to transfer queue.
Create Directory - create new directory in the current folder.

Remote
Rename - rename selected file or directory.
Create Directory - create new directory.
Refresh - refresh remote file list.

Queue
Process Queue - start processing the queue
Pause - stop the transfer.
Resume - start transfer from last position.
Abort - stop transfer and remove from list.
Clear - remove all item from list.

View
ToolBars - show or hide toolbar.
Statusbar - show or hide status bar.
Text Labels - show or hide text of toolbar's button.
Message Log - show or hide the Message Log.
Transfer Queue - show or hide then Transfer Queue.

Tools
Transfer Type - selects the current transfer type.
File Overwrite Setting - in this menu you can set the default behaviour for file transfers where the target file already exists.
Options... - call the FreshFTP Options dialog box.

Help
Contents - show the list of help.
Registers - get a full-version registration code.
About - show out the splash screen.

2. Toobars

: Connect to, connect to a server.

: Disconnect, disconnect from a server.

: Start Queue, start process the queue.

: Refresh, refresh remote file list view.

: Options, open Option dialog box.

* The Message Log
All commands sent to the FTP server and their responses, as well as status messages and error messages are logged into the Message Log.

Before each entry the type of the message is represent with symbol and listed with different colors to indicate the type. There are four types of messages:
~ (Status) : These are normal status messages containing useful information about the current operation. Examples for status messages are "Connecting to ..." or "Directory listing received."
! (Error) : Error messages are displayed in red. They always appear when an operation fails due to an error.
> (Command) : These are the commands sent to the server. They request the server to initiate a data transfer, for example.
< (Response): These are the responses from the FTP servers.

* The File and Directory View

1. The local site
The file and folder view of the local site is located on the left side of the main window. With it you can navigate on your local machine and initiate uploads.

The file and folder list
Each line represents a file or folder. The file and folder icons help you to identify the files and folders quickly. The labels above each column describe their meaning. You can sort the list by clicking on one of the column labels and you can toggle the sort direction by clicking the heading again.

Uploading files
There are two ways to upload a file: You use the context menu or you can drag and drop the file into the remote file list. You can operate on a folder in the same way. You may also select multiple files and folders for transfer in one operation. To add items to the queue for a later transfer, you may use the context menu.

The context menu
Right-click the file and folder list to display the context menu.
Upload - Uploads the selected files and folders. The upload starts immediately.
Add to Queue - Adds all selected items to the transfer queue. Use the "Start Queue" button on the toolbar to start the transfer.
Create Directory - Creates a new directory in the current folder.
Sort Order - Sort the list by Name, Size or Date.

2. The remote site
The file and folder view of the remote site is located on the right side of the main window. With it you can navigate on an FTP server.

The file and folder list
The remote file and folder list is very similar to the local file and folder list.

The context menu
Right-click the file and folder list to display the context menu.
Rename - Renames the selected file or directory.
Create Directory - Creates a new directory in the current folder.
Sort Order - Sort the list by Name, Size or Date.

* The Transfer Queue
Every time you want to transfer a file with FreshFTP, the transfer will be put into the Transfer Queue.

The column headers describe the meaning of each column.
Local Filename - is the local file that will be uploaded.
Size - indicates the total size of the transfer.
Progress - indicate the precentage of the current operation.
Remote Filename - indicates the remote file in which an uploaded file will be saved.
Host - is the address of the server involved in the transfer.
Status - displays some information about the transfers.

The context menu
Right-click the queue to open the context menu.
Process Queue - Starts processing the queue.
Remove from Queue - Removes an item from the queue.
Clear Queue - Removes all item from the queue.
Pause - Stop current process.
Resume - Continue current process.
Abort - Stop and remove item from the queue.

Configuration

* Connections Tab
Default Connection Settings
Connection time-out - Specify waiting time to get a response from the server. Adjust this option to a bigger number if the connection needs a longer time.
Number of attempts - Specify how many times the FreshFTP will try to make connections.
Delay between attempt - Waiting time between two retry.
Max. number of thread - Define how many target files can be transfered simultaneously. If your targets more than maximum value then FreshFTP will transfer the target as many as the maximum setting and put the rest of the targets into queue.

* File Types Tab
Default Transfer Type
Auto detect - FreshFTP will detects and chooses the transfer type based on the file extension.
ASCII - all files will be transferred in ASCII mode.
Binary - all files will be transferred in binary mode.
ASCII File Types
When you've chosen Auto detect, FreshFTP chooses ASCII mode for all file types which are in the list.

(*) Warning: If the wrong file types are in the list or if you've selected a transfer type other than Auto Detect, file transfers may result in corrupt files.

* Transfer Tab
FTP Option - Specify FTP extra LIST command parameter.
File Option - Specify the default behaviour for file transfers where the target file already exists.


Introduction

Introduction Previous Top Next

"Actually...What is FreshFTP?"

FreshFTP is a FTP client software.

With this software, you can upload or download your internet web content into server.

FreshFTP has features:

- Multithreading for simultaneous transfer

- File and Directory Upload

- Ability to resume Uploads (if the server support it)


Menu

Menu Previous Top Next

Main Window

* Menus and Toolbars

1. Main Menu
File
Connect to... - connect to a server.
Disconnect - disconnect from server.
Exit - quit the program.
Local
Upload files - upload selected files and folders.
Add to Queue - add the selected items to transfer queue.
Create Directory - create new directory in the current folder.
Remote
Rename - rename selected file or directory.
Create Directory - create new directory.
Refresh - refresh remote file list.
Queue
Process Queue - start processing the queue
Pause - stop the transfer.
Resume - start transfer from last position.
Abort - stop transfer and remove from list.
Clear - remove all item from list.
View
ToolBars - show or hide toolbar.
Statusbar - show or hide status bar.
Text Labels - show or hide text of toolbar's button.
Message Log - show or hide the Message Log.
Transfer Queue - show or hide then Transfer Queue.
Tools
Transfer Type - selects the current transfer type.
File Overwrite Setting - in this menu you can set the default behaviour for file transfers where the target file already exists.
Options... - call the FreshFTP Options dialog box.
Help
Contents - show the list of help.
Registers - get a full-version registration code.
About - show out the splash screen.

2. Toobars
: Connect to, connect to a server.
: Disconnect, disconnect from a server.
: Start Queue, start process the queue.
: Refresh, refresh remote file list view.
: Options, open Option dialog box.

* The Message Log
All commands sent to the FTP server and their responses, as well as status messages and error messages are logged into the Message Log.

Before each entry the type of the message is represent with symbol and listed with different colors to indicate the type. There are four types of messages:
~ (Status) : These are normal status messages containing useful information about the current operation. Examples for status messages are "Connecting to ..." or "Directory listing received."
! (Error) : Error messages are displayed in red. They always appear when an operation fails due to an error.
> (Command) : These are the commands sent to the server. They request the server to initiate a data transfer, for example.
< (Response): These are the responses from the FTP servers.

* The File and Directory View

1. The local site
The file and folder view of the local site is located on the left side of the main window. With it you can navigate on your local machine and initiate uploads.

The file and folder list
Each line represents a file or folder. The file and folder icons help you to identify the files and folders quickly. The labels above each column describe their meaning. You can sort the list by clicking on one of the column labels and you can toggle the sort direction by clicking the heading again.

Uploading files
There are two ways to upload a file: You use the context menu or you can drag and drop the file into the remote file list. You can operate on a folder in the same way. You may also select multiple files and folders for transfer in one operation. To add items to the queue for a later transfer, you may use the context menu.

The context menu
Right-click the file and folder list to display the context menu.
Upload - Uploads the selected files and folders. The upload starts immediately.
Add to Queue - Adds all selected items to the transfer queue. Use the "Start Queue" button on the toolbar to start the transfer.
Create Directory - Creates a new directory in the current folder.
Sort Order - Sort the list by Name, Size or Date.

2. The remote site
The file and folder view of the remote site is located on the right side of the main window. With it you can navigate on an FTP server.

The file and folder list
The remote file and folder list is very similar to the local file and folder list.

The context menu
Right-click the file and folder list to display the context menu.
Rename - Renames the selected file or directory.
Create Directory - Creates a new directory in the current folder.
Sort Order - Sort the list by Name, Size or Date.

* The Transfer Queue
Every time you want to transfer a file with FreshFTP, the transfer will be put into the Transfer Queue.

The column headers describe the meaning of each column.
Local Filename - is the local file that will be uploaded.
Size - indicates the total size of the transfer.
Progress - indicate the precentage of the current operation.
Remote Filename - indicates the remote file in which an uploaded file will be saved.
Host - is the address of the server involved in the transfer.
Status - displays some information about the transfers.

The context menu
Right-click the queue to open the context menu.
Process Queue - Starts processing the queue.
Remove from Queue - Removes an item from the queue.
Clear Queue - Removes all item from the queue.
Pause - Stop current process.
Resume - Continue current process.
Abort - Stop and remove item from the queue.

Configuration

* Connections Tab
Default Connection Settings
Connection time-out - Specify waiting time to get a response from the server. Adjust this option to a bigger number if the connection needs a longer time.
Number of attempts - Specify how many times the FreshFTP will try to make connections.
Delay between attempt - Waiting time between two retry.
Max. number of thread - Define how many target files can be transfered simultaneously. If your targets more than maximum value then FreshFTP will transfer the target as many as the maximum setting and put the rest of the targets into queue.

* File Types Tab
Default Transfer Type
Auto detect - FreshFTP will detects and chooses the transfer type based on the file extension.
ASCII - all files will be transferred in ASCII mode.
Binary - all files will be transferred in binary mode.
ASCII File Types
When you've chosen Auto detect, FreshFTP chooses ASCII mode for all file types which are in the list.

(*) Warning: If the wrong file types are in the list or if you've selected a transfer type other than Auto Detect, file transfers may result in corrupt files.

* Transfer Tab
FTP Option - Specify FTP extra LIST command parameter.
File Option - Specify the default behaviour for file transfers where the target file already exists.


Getting Started

Welcome

Begin Here >>